/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.juchu;

import java.util.ArrayList;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * ユーザーアカウントのResultDataです。 <BR>
 * 
 */
public class JuchuResultData implements ALData {

  /** ユーザーID */
  private ALNumberField user_id;
  
  /** 有効/無効 */
  private ALStringField disabled;

  /** ユーザー名 */
  private ALStringField user_name;

  /** 名前 */
  private ALStringField name;

  /** フリガナ（名前） */
  private ALStringField name_kana;

  /** メールアドレス */
  private ALStringField email;

  /** 電話番号（外線） */
  private ALStringField out_telephone;

  /** 電話番号（内線） */
  private ALStringField in_telephone;

  /** 電話番号（携帯） */
  private ALStringField cellular_phone;

  /** 携帯メールアドレス */
  private ALStringField cellular_mail;

  /** 部署名 */
  private ArrayList post_name_list;

  /** 役職名 */
  private ALStringField position_name;

  private boolean has_photo;
  
  /** 受注情報ＩＤ */
  private ALStringField job_order_id;
  
  /** 受注番号 */
  private ALStringField job_order_number;
  
  /** 件名 */
  private ALStringField job_order_name;
  
  /** 顧客 */
  private ALStringField client_id;
  
  /** 納期 */
  private ALStringField period;
  
  /** 完了区分 */
  private ALStringField completion_class;
  
  /** 受付日 */
  private ALStringField receipt_date;
  
  /** 受付担当ＩＤ */
  private ALStringField receipt_user_id;
  
  /** 受注区分 */
  private ALStringField juchukubun;
  
  /** 費用区分 */
  private ALStringField hiyokubun;
  
  /** システム区分１ */
  private ALStringField system_class1;
  
  /** システム区分２ */
  private ALStringField system_class2;
  
  /** ユーザ担当 */
  private ALStringField charge_name;
  
  /** 作業者１（社員番号） */
  private ALStringField worker_user_id01;
    
  /** 作業者２（社員番号） */
  private ALStringField worker_user_id02;
  
  /** 受注金額 */
  private ALStringField price;
  
  /** 予定工数 */
  private ALStringField yoteikosu;
  
  /** 分納区分 */
  private ALStringField installmen_class;
  


  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    user_id = new ALNumberField();
    user_name = new ALStringField();
    name = new ALStringField();
    name_kana = new ALStringField();
    email = new ALStringField();
    out_telephone = new ALStringField();
    in_telephone = new ALStringField();
    cellular_phone = new ALStringField();
    cellular_mail = new ALStringField();
    post_name_list = new ArrayList();
    position_name = new ALStringField();
    disabled = new ALStringField();
    
    job_order_id = new ALStringField();
    job_order_number = new ALStringField();
    job_order_name = new ALStringField();
    client_id = new ALStringField();
    period = new ALStringField();
    completion_class = new ALStringField();
    
    receipt_date = new ALStringField();
    receipt_user_id = new ALStringField();
    juchukubun = new ALStringField();
    hiyokubun = new ALStringField();
    system_class1 = new ALStringField();
    system_class2 = new ALStringField();
    charge_name = new ALStringField();
    worker_user_id01 = new ALStringField();
    worker_user_id02 = new ALStringField();
    price = new ALStringField();
    yoteikosu = new ALStringField();
    installmen_class = new ALStringField();
  
    has_photo = false;
  }

  /**
   * @return
   */
  public ALStringField getName() {
    return name;
  }

  /**
   * @return
   */
  public ALStringField getUserName() {
    return user_name;
  }

  /**
   * @return
   */
  public ALNumberField getUserId() {
    return user_id;
  }

  /**
   * @return
   */
  public ALStringField getDisabled() {
    return disabled;
  }

  /**
   * @param string
   */
  public void setName(String string) {
    name.setValue(string);
  }

  /**
   * @param string
   */
  public void setUserName(String string) {
    user_name.setValue(string);
  }

  /**
   * @param i
   */
  public void setUserId(int i) {
    user_id.setValue(i);
  }

  /**
   * @param string
   */
  public void setDisabled(String string) {
    disabled.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getPositionName() {
    return position_name;
  }

  /**
   * @return
   */
  public ArrayList getPostNameList() {
    return post_name_list;
  }

  /**
   * @param string
   */
  public void setPositionName(String string) {
    position_name.setValue(string);
  }

  /**
   * @param string
   */
  public void setPostNameList(ArrayList list) {
    post_name_list.addAll(list);
  }

  /**
   * @return
   */
  public ALStringField getCellularMail() {
    return cellular_mail;
  }

  /**
   * @return
   */
  public ALStringField getCellularPhone() {
    return cellular_phone;
  }

  /**
   * @return
   */
  public ALStringField getEmail() {
    return email;
  }

  /**
   * @return
   */
  public ALStringField getInTelephone() {
    return in_telephone;
  }

  /**
   * @return
   */
  public ALStringField getOutTelephone() {
    return out_telephone;
  }
  
  
  /**
   * @return
   */
  public ALStringField getJobOrderId() {
    return job_order_id;
  }
  
  /**
   * @return
   */
  public ALStringField getJobOrderNumber() {
    return job_order_number;
  }
  
  /**
   * @return
   */
  public ALStringField getJobOrderName() {
    return job_order_name;
  }
  
  /**
   * @return
   */
  public ALStringField getClientId() {
    return client_id;
  }
  
  /**
   * @return
   */
  public ALStringField getPeriod() {
    return period;
  }
  
  /**
   * @return
   */
  public ALStringField getCompletionClass() {
    return completion_class;
  }
  
  /**
   * @return
   */
  public ALStringField getReceiptDate() {
    return receipt_date;
  }
 
  
  /**
   * @return
   */
  public ALStringField getReceiptUserId() {
    return receipt_user_id;
  }
 
  /**
   * @return
   */
  public ALStringField getJuchukubun() {
    return juchukubun;
  }
 
  
  /**
   * @return
   */
  public ALStringField getHiyokubun() {
    return hiyokubun;
  }
 
  
  /**
   * @return
   */
  public ALStringField getSystemClass1() {
    return system_class1;
  }
  /**
   * @return
   */
  public ALStringField getSystemClass2() {
    return system_class2;
  }
  /**
   * @return
   */
  public ALStringField getChargeName() {
    return charge_name;
  }
  /**
   * @return
   */
  public ALStringField getWorkerUserId01() {
    return worker_user_id01;
  }
  /**
   * @return
   */
  public ALStringField getWorkerUserId02() {
    return worker_user_id02;
  }
  /**
   * @return
   */
  public ALStringField getPrice() {
    return price;
  }
  /**
   * @return
   */
  public ALStringField getYoteikosu() {
    return yoteikosu;
  }
  /**
   * @return
   */
  public ALStringField getInstallmenClass() {
    return installmen_class;
  }
 
  
  

  /**
   * @param string
   */
  public void setCellularMail(String string) {
    cellular_mail.setValue(string);
  }

  /**
   * @param string
   */
  public void setCellularPhone(String string) {
    cellular_phone.setValue(string);
  }

  /**
   * @param string
   */
  public void setEmail(String string) {
    email.setValue(string);
  }

  /**
   * @param string
   */
  public void setInTelephone(String string) {
    in_telephone.setValue(string);
  }

  /**
   * @param field
   */
  public void setOutTelephone(String string) {
    out_telephone.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getNameKana() {
    return name_kana;
  }

  /**
   * @param string
   */
  public void setNameKana(String string) {
    name_kana.setValue(string);
  }

  public boolean hasPhoto() {
    return has_photo;
  }

  public void setHasPhoto(boolean bool) {
    has_photo = bool;
  }
  
  
  
  
  /**
   * @param string
   */
  public void setJobOrderId(String string) {
    job_order_id.setValue(string);
  }
  /**
   * @param string
   */
  public void setJobOrderNumber(String string) {
    job_order_number.setValue(string);
  }
  /**
   * @param string
   */
  public void setJobOrderName(String string) {
    job_order_name.setValue(string);
  }
  /**
   * @param string
   */
  public void setClientId(String string) {
    client_id.setValue(string);
  }
  /**
   * @param string
   */
  public void setPeriod(String string) {
    period.setValue(string);
  }
  /**
   * @param string
   */
  public void setCompletionClass(String string) {
    completion_class.setValue(string);
  }
  /**
   * @param string
   */
  public void setReceiptDate(String string) {
    receipt_date.setValue(string);
  }
  /**
   * @param string
   */
  public void setReceiptUserId(String string) {
    receipt_user_id.setValue(string);
  }
  /**
   * @param string
   */
  public void setJuchukubun(String string) {
    juchukubun.setValue(string);
  }
  /**
   * @param string
   */
  public void setHiyokubun(String string) {
    hiyokubun.setValue(string);
  }
  /**
   * @param string
   */
  public void setSystemClass1(String string) {
    system_class1.setValue(string);
  }
  /**
   * @param string
   */
  public void setSystemClass2(String string) {
    system_class2.setValue(string);
  }
  /**
   * @param string
   */
  public void setChargeName(String string) {
    charge_name.setValue(string);
  }
  /**
   * @param string
   */
  public void setWorkerUserId01(String string) {
    worker_user_id01.setValue(string);
  }
  /**
   * @param string
   */
  public void setWorkerUserId02(String string) {
    worker_user_id02.setValue(string);
  }
  /**
   * @param string
   */
  public void setPrice(String string) {
    price.setValue(string);
  }
  /**
   * @param string
   */
  public void setYoteikosu(String string) {
    yoteikosu.setValue(string);
  }
  /**
   * @param string
   */
  public void setInstallmenClass(String string) {
    installmen_class.setValue(string);
  }

}
